--- old/usr/src/cmd/beadm/beadm.c	2016-02-15 12:55:56.671819519 -0500
+++ new/usr/src/cmd/beadm/beadm.c	2016-02-15 12:55:56.677772402 -0500
@@ -946,8 +946,7 @@
 out:
 	nvlist_free(be_attrs);
 out2:
-	if (zfs_props != NULL)
-		nvlist_free(zfs_props);
+	nvlist_free(zfs_props);
 
 	return (err);
 }
--- old/usr/src/cmd/boot/bootadm/bootadm.c	2016-02-15 12:55:56.869662918 -0500
+++ new/usr/src/cmd/boot/bootadm/bootadm.c	2016-02-15 12:55:56.875509130 -0500
@@ -3032,10 +3032,8 @@
 static void
 clear_walk_args(void)
 {
-	if (walk_arg.old_nvlp)
-		nvlist_free(walk_arg.old_nvlp);
-	if (walk_arg.new_nvlp)
-		nvlist_free(walk_arg.new_nvlp);
+	nvlist_free(walk_arg.old_nvlp);
+	nvlist_free(walk_arg.new_nvlp);
 	if (walk_arg.sparcfile)
 		(void) fclose(walk_arg.sparcfile);
 	walk_arg.old_nvlp = NULL;
--- old/usr/src/cmd/cmd-inet/sbin/dhcpagent/defaults.c	2016-02-15 12:55:57.236738970 -0500
+++ new/usr/src/cmd/cmd-inet/sbin/dhcpagent/defaults.c	2016-02-15 12:55:57.242384272 -0500
@@ -186,8 +186,7 @@
 	if (statbuf.st_mtime != df_statbuf.st_mtime ||
 	    statbuf.st_size != df_statbuf.st_size) {
 		df_statbuf = statbuf;
-		if (df_nvlist != NULL)
-			nvlist_free(df_nvlist);
+		nvlist_free(df_nvlist);
 		df_nvlist = df_build_cache();
 	}
 
--- old/usr/src/cmd/cmd-inet/usr.lib/vrrpd/vrrpd.c	2016-02-15 12:55:57.407910702 -0500
+++ new/usr/src/cmd/cmd-inet/usr.lib/vrrpd/vrrpd.c	2016-02-15 12:55:57.413826451 -0500
@@ -4472,8 +4472,7 @@
 	    "sysevent posting failed: %s", vrrp_state2str(prev_st),
 	    vrrp_state2str(st), strerror(errno));
 
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (-1);
 }
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/ipqosconf.c	2016-02-15 12:55:57.672865210 -0500
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/ipqosconf.c	2016-02-15 12:55:57.678898829 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /* enable debug output and some debug asserts */
 #undef	_IPQOS_CONF_DEBUG
 
@@ -622,8 +620,7 @@
 
 	return (IPQOS_CONF_SUCCESS);
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (IPQOS_CONF_ERR);
 }
 
@@ -711,8 +708,7 @@
 
 	return (IPQOS_CONF_SUCCESS);
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (IPQOS_CONF_ERR);
 }
 
@@ -776,8 +772,7 @@
 
 	return (IPQOS_CONF_SUCCESS);
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (IPQOS_CONF_ERR);
 }
 
@@ -6345,8 +6340,7 @@
 
 	/* free its nvlist if present */
 
-	if (cls->nvlist)
-		nvlist_free(cls->nvlist);
+	nvlist_free(cls->nvlist);
 
 	/* free its action refs if present */
 
@@ -6790,8 +6784,7 @@
 	ipqos_conf_act_ref_t *next;
 
 	while (aref) {
-		if (aref->nvlist)
-			nvlist_free(aref->nvlist);
+		nvlist_free(aref->nvlist);
 		next = aref->next;
 		free(aref);
 		aref = next;
--- old/usr/src/cmd/dcs/sparc/sun4u/ri_init.c	2016-02-15 12:55:58.075897263 -0500
+++ new/usr/src/cmd/dcs/sparc/sun4u/ri_init.c	2016-02-15 12:55:58.081594040 -0500
@@ -731,8 +731,7 @@
 out:
 	s_free(syscpuids);
 	s_free(newcpuids);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (rcm_info != NULL)
 		rcm_free_info(rcm_info);
 
@@ -1771,8 +1770,7 @@
 
 	if (nvlist_alloc(&ap->conf_props, NV_UNIQUE_NAME, 0) != 0 ||
 	    nvlist_add_string(ap->conf_props, RI_AP_REQ_ID, ap_id) != 0) {
-		if (ap->conf_props != NULL)
-			nvlist_free(ap->conf_props);
+		nvlist_free(ap->conf_props);
 		free(ap);
 		return (NULL);
 	}
--- old/usr/src/cmd/dcs/sparc/sun4u/rsrc_info.c	2016-02-15 12:55:58.284925327 -0500
+++ new/usr/src/cmd/dcs/sparc/sun4u/rsrc_info.c	2016-02-15 12:55:58.290671465 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Routines for traversing and packing/unpacking the handle
  * returned from ri_init.
@@ -82,8 +80,7 @@
 
 	assert(ap != NULL);
 
-	if (ap->conf_props != NULL)
-		nvlist_free(ap->conf_props);
+	nvlist_free(ap->conf_props);
 
 	while ((dev = ap->cpus) != NULL) {
 		ap->cpus = dev->next;
@@ -120,10 +117,8 @@
 {
 	assert(client != NULL);
 
-	if (client->usg_props != NULL)
-		nvlist_free(client->usg_props);
-	if (client->v_props != NULL)
-		nvlist_free(client->v_props);
+	nvlist_free(client->usg_props);
+	nvlist_free(client->v_props);
 	free(client);
 }
 
@@ -196,8 +191,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (RI_FAILURE);
 }
@@ -250,8 +244,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -304,8 +297,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -359,8 +351,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -424,8 +415,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -470,8 +460,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -515,8 +504,7 @@
 
 fail:
 	s_free(buf);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -617,8 +605,7 @@
 
 fail:
 	free(ri_hdl);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (-1);
 }
@@ -671,8 +658,7 @@
 	return (0);
 
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (aplist != NULL) {
 		while ((tmp = aplist) != NULL) {
 			aplist = aplist->next;
@@ -729,8 +715,7 @@
 	return (0);
 
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (devlist != NULL) {
 		while ((tmp = devlist) != NULL) {
 			devlist = devlist->next;
@@ -789,8 +774,7 @@
 	return (0);
 
 fail:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (client_list != NULL) {
 		while ((tmp = client_list) != NULL) {
 			client_list = client_list->next;
--- old/usr/src/cmd/devfsadm/devfsadm.c	2016-02-15 12:55:58.475175600 -0500
+++ new/usr/src/cmd/devfsadm/devfsadm.c	2016-02-15 12:55:58.481135457 -0500
@@ -8290,8 +8290,7 @@
 	return (nvl);
 
 out:
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	if (dev_name)
 		free(dev_name);
@@ -8364,8 +8363,7 @@
 			free(tmp->class);
 		if (tmp->subclass != NULL)
 			free(tmp->subclass);
-		if (tmp->nvl != NULL)
-			nvlist_free(tmp->nvl);
+		nvlist_free(tmp->nvl);
 		syseventq_back = syseventq_back->next;
 		if (syseventq_back == NULL)
 			syseventq_front = NULL;
--- old/usr/src/cmd/fm/fmd/common/fmd_case.c	2016-02-15 12:55:58.829392526 -0500
+++ new/usr/src/cmd/fm/fmd/common/fmd_case.c	2016-02-15 12:55:58.835772781 -0500
@@ -1322,8 +1322,7 @@
 	if (cip->ci_proxy_asru)
 		fmd_free(cip->ci_proxy_asru, sizeof (uint8_t) *
 		    cip->ci_nsuspects);
-	if (cip->ci_diag_de)
-		nvlist_free(cip->ci_diag_de);
+	nvlist_free(cip->ci_diag_de);
 	if (cip->ci_diag_asru)
 		fmd_free(cip->ci_diag_asru, sizeof (uint8_t) *
 		    cip->ci_nsuspects);
@@ -2431,8 +2430,7 @@
 {
 	fmd_case_impl_t *cip = (fmd_case_impl_t *)cp;
 
-	if (cip->ci_diag_de)
-		nvlist_free(cip->ci_diag_de);
+	nvlist_free(cip->ci_diag_de);
 	cip->ci_diag_de = nvl;
 }
 
--- old/usr/src/cmd/fm/fmd/common/fmd_event.c	2016-02-15 12:55:59.013073025 -0500
+++ new/usr/src/cmd/fm/fmd/common/fmd_event.c	2016-02-15 12:55:59.016830238 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/fm/protocol.h>
 #include <limits.h>
 
@@ -222,8 +220,7 @@
 		break;
 	}
 
-	if (ep->ev_nvl != NULL)
-		nvlist_free(ep->ev_nvl);
+	nvlist_free(ep->ev_nvl);
 
 	fmd_free(ep, sizeof (fmd_event_impl_t));
 }
--- old/usr/src/cmd/fm/fmd/common/fmd_xprt.c	2016-02-15 12:55:59.155223641 -0500
+++ new/usr/src/cmd/fm/fmd/common/fmd_xprt.c	2016-02-15 12:55:59.159036805 -0500
@@ -1158,12 +1158,9 @@
 			if (loc)
 				topo_hdl_strfree(thp, loc);
 		}
-		if (fru)
-			nvlist_free(fru);
-		if (asru)
-			nvlist_free(asru);
-		if (rsrc)
-			nvlist_free(rsrc);
+		nvlist_free(fru);
+		nvlist_free(asru);
+		nvlist_free(rsrc);
 		fmd_fmri_topo_rele(thp);
 		fmd_case_insert_suspect(cp, flt_copy);
 	}
@@ -1327,8 +1324,7 @@
 	    (xip->xi_flags & FMD_XPRT_HC_PRESENT_ONLY)) {
 		if (nelem > 0) {
 			for (i = 0; i < nelem; i++)
-				if (asrua[i])
-					nvlist_free(asrua[i]);
+				nvlist_free(asrua[i]);
 			fmd_free(proxy_asru, sizeof (uint8_t) * nelem);
 			fmd_free(diag_asru, sizeof (uint8_t) * nelem);
 			fmd_free(asrua, sizeof (nvlist_t *) * nelem);
@@ -1344,8 +1340,7 @@
 	    FMD_CASE_UNSOLVED, uuid, code)) == NULL) {
 		if (nelem > 0) {
 			for (i = 0; i < nelem; i++)
-				if (asrua[i])
-					nvlist_free(asrua[i]);
+				nvlist_free(asrua[i]);
 			fmd_free(proxy_asru, sizeof (uint8_t) * nelem);
 			fmd_free(diag_asru, sizeof (uint8_t) * nelem);
 			fmd_free(asrua, sizeof (nvlist_t *) * nelem);
--- old/usr/src/cmd/fm/fminject/common/inj_defn.c	2016-02-15 12:55:59.442132213 -0500
+++ new/usr/src/cmd/fm/fminject/common/inj_defn.c	2016-02-15 12:55:59.449448200 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * After having been declared, events, FMRIs and authorities must be defined
  * (instantiated) before they can be used as the subjects of commands.
@@ -104,8 +102,7 @@
 	if (defn->defn_name != NULL)
 		inj_strfree(defn->defn_name);
 
-	if (defn->defn_nvl != NULL)
-		nvlist_free(defn->defn_nvl);
+	nvlist_free(defn->defn_nvl);
 
 	inj_defn_destroy_memlist(inj_list_next(&defn->defn_members));
 }
--- old/usr/src/cmd/fm/fmtopo/common/fmtopo.c	2016-02-15 12:55:59.588727504 -0500
+++ new/usr/src/cmd/fm/fmtopo/common/fmtopo.c	2016-02-15 12:55:59.592601695 -0500
@@ -365,8 +365,7 @@
 			}
 uint32_def:
 			(void) printf(" 0x%x", val);
-			if (rsrc != NULL)
-				nvlist_free(rsrc);
+			nvlist_free(rsrc);
 			break;
 		}
 		case DATA_TYPE_INT64: {
--- old/usr/src/cmd/fm/modules/common/disk-monitor/diskmon_conf.c	2016-02-15 12:55:59.729895536 -0500
+++ new/usr/src/cmd/fm/modules/common/disk-monitor/diskmon_conf.c	2016-02-15 12:55:59.733707412 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Disk & Indicator Monitor configuration file support routines
  */
@@ -375,16 +373,14 @@
 	while (dmp != NULL) {
 		nextp = dmp->next;
 
-		if (dmp->props)
-			nvlist_free(dmp->props);
+		nvlist_free(dmp->props);
 		if (dmp->location)
 			dstrfree(dmp->location);
 		if (dmp->ind_list)
 			ind_free(dmp->ind_list);
 		if (dmp->indrule_list)
 			indrule_free(dmp->indrule_list);
-		if (dmp->app_props)
-			nvlist_free(dmp->app_props);
+		nvlist_free(dmp->app_props);
 		if (dmp->frup)
 			dmfru_free(dmp->frup);
 		dfree(dmp, sizeof (diskmon_t));
--- old/usr/src/cmd/fm/modules/common/disk-monitor/topo_gather.c	2016-02-15 12:55:59.868389475 -0500
+++ new/usr/src/cmd/fm/modules/common/disk-monitor/topo_gather.c	2016-02-15 12:55:59.872446348 -0500
@@ -707,14 +707,12 @@
 		} else if (diskp != NULL) {
 			diskmon_free(diskp);
 		} else {
-			if (dmap_nvl)
-				nvlist_free(dmap_nvl);
+			nvlist_free(dmap_nvl);
 			if (indp)
 				ind_free(indp);
 			if (indrp)
 				indrule_free(indrp);
-			if (diskprops)
-				nvlist_free(diskprops);
+			nvlist_free(diskprops);
 		}
 
 		wdp->pfmri = cstr;
--- old/usr/src/cmd/fm/modules/common/eversholt/fme.c	2016-02-15 12:56:00.001471358 -0500
+++ new/usr/src/cmd/fm/modules/common/eversholt/fme.c	2016-02-15 12:56:00.005449479 -0500
@@ -1701,8 +1701,7 @@
 			ipath_print(O_ALTFP|O_NONL, eventstring, ipp);
 			out(O_ALTFP, " explained by FME%d]", fmep->id);
 
-			if (pre_peek_nvp)
-				nvlist_free(pre_peek_nvp);
+			nvlist_free(pre_peek_nvp);
 
 			if (ep->count == 1)
 				serialize_observation(fmep, eventstring, ipp);
@@ -2028,16 +2027,14 @@
 	err = nvlist_add_nvlist_array(f, FM_FMRI_HC_LIST, pa, depth);
 	if (err == 0) {
 		for (i = 0; i < depth; i++)
-			if (pa[i] != NULL)
-				nvlist_free(pa[i]);
+			nvlist_free(pa[i]);
 		return (f);
 	}
 	failure = "addition of hc-pair array to FMRI failed";
 
 boom:
 	for (i = 0; i < depth; i++)
-		if (pa[i] != NULL)
-			nvlist_free(pa[i]);
+		nvlist_free(pa[i]);
 	nvlist_free(f);
 	out(O_DIE, "%s", failure);
 	/*NOTREACHED*/
@@ -2101,16 +2098,14 @@
 	err = nvlist_add_nvlist_array(f, FM_FMRI_HC_LIST, pa, depth);
 	if (err == 0) {
 		for (i = 0; i < depth; i++)
-			if (pa[i] != NULL)
-				nvlist_free(pa[i]);
+			nvlist_free(pa[i]);
 		return (f);
 	}
 	failure = "addition of hc-pair array to FMRI failed";
 
 boom:
 	for (i = 0; i < depth; i++)
-		if (pa[i] != NULL)
-			nvlist_free(pa[i]);
+		nvlist_free(pa[i]);
 	nvlist_free(f);
 	out(O_DIE, "%s", failure);
 	/*NOTREACHED*/
@@ -2141,11 +2136,9 @@
 static void
 rslfree(struct rsl *freeme)
 {
-	if (freeme->asru != NULL)
-		nvlist_free(freeme->asru);
-	if (freeme->fru != NULL)
-		nvlist_free(freeme->fru);
-	if (freeme->rsrc != NULL && freeme->rsrc != freeme->asru)
+	nvlist_free(freeme->asru);
+	nvlist_free(freeme->fru);
+	if (freeme->rsrc != freeme->asru)
 		nvlist_free(freeme->rsrc);
 }
 
--- old/usr/src/cmd/fm/modules/common/eversholt/itree.c	2016-02-15 12:56:00.209244087 -0500
+++ new/usr/src/cmd/fm/modules/common/eversholt/itree.c	2016-02-15 12:56:00.212966890 -0500
@@ -1727,8 +1727,7 @@
 		bub = nextbub;
 	}
 
-	if (ep->nvp != NULL)
-		nvlist_free(ep->nvp);
+	nvlist_free(ep->nvp);
 	alloc_xfree(ep, sizeof (*ep));
 }
 
@@ -1759,8 +1758,7 @@
 		bub = nextbub;
 	}
 
-	if (ep->nvp != NULL)
-		nvlist_free(ep->nvp);
+	nvlist_free(ep->nvp);
 	ep->props = NULL;
 	ep->payloadprops = NULL;
 	ep->serdprops = NULL;
--- old/usr/src/cmd/fm/modules/common/ext-event-transport/fmevt_inbound.c	2016-02-15 12:56:00.366028302 -0500
+++ new/usr/src/cmd/fm/modules/common/ext-event-transport/fmevt_inbound.c	2016-02-15 12:56:00.369695371 -0500
@@ -287,12 +287,9 @@
 	err += nvlist_add_nvlist(dtcr, FM_FMRI_SW_CTXT, ctxt);
 
 done:
-	if (obj != NULL)
-		nvlist_free(obj);
-	if (site != NULL)
-		nvlist_free(site);
-	if (ctxt != NULL)
-		nvlist_free(ctxt);
+	nvlist_free(obj);
+	nvlist_free(site);
+	nvlist_free(ctxt);
 
 	if (err == 0) {
 		return (dtcr);
@@ -556,8 +553,7 @@
 	if (ruleset)
 		free(ruleset);
 
-	if (rawattr)
-		nvlist_free(rawattr);
+	nvlist_free(rawattr);
 
 	return (0);	/* in all cases consider the event delivered */
 }
--- old/usr/src/cmd/fm/modules/common/ip-transport/ip.c	2016-02-15 12:56:00.493393479 -0500
+++ new/usr/src/cmd/fm/modules/common/ip-transport/ip.c	2016-02-15 12:56:00.497196534 -0500
@@ -1056,8 +1056,7 @@
 	while (ip_xps != NULL)
 		ip_xprt_destroy(ip_xps);
 
-	if (ip_auth != NULL)
-		nvlist_free(ip_auth);
+	nvlist_free(ip_auth);
 
 	ip_addr_cleanup();
 
--- old/usr/src/cmd/fm/modules/common/sw-diag-response/subsidiary/panic/panic_diag.c	2016-02-15 12:56:00.628608073 -0500
+++ new/usr/src/cmd/fm/modules/common/sw-diag-response/subsidiary/panic/panic_diag.c	2016-02-15 12:56:00.632418917 -0500
@@ -182,8 +182,7 @@
 	sw_obj = fmd_nvl_alloc(hdl, FMD_SLEEP);
 	err |= nvlist_add_string(sw_obj, FM_FMRI_SW_OBJ_PATH, object);
 	err |= nvlist_add_nvlist(fmri, FM_FMRI_SW_OBJ, sw_obj);
-	if (sw_obj)
-		nvlist_free(sw_obj);
+	nvlist_free(sw_obj);
 	if (!err)
 		return (fmri);
 	else
--- old/usr/src/cmd/fm/modules/common/syslog-msgs/syslog.c	2016-02-15 12:56:00.755442554 -0500
+++ new/usr/src/cmd/fm/modules/common/syslog-msgs/syslog.c	2016-02-15 12:56:00.759412912 -0500
@@ -181,8 +181,7 @@
 	int i;
 
 	for (i = 0; i < nprefs; i++) {
-		if (prefs[i])
-			nvlist_free(prefs[i]);
+		nvlist_free(prefs[i]);
 	}
 
 	fmd_hdl_free(hdl, prefs, sizeof (nvlist_t *) * nprefs);
--- old/usr/src/cmd/fm/modules/sun4/cpumem-diagnosis/cmd_dimm.c	2016-02-15 12:56:00.878607626 -0500
+++ new/usr/src/cmd/fm/modules/sun4/cpumem-diagnosis/cmd_dimm.c	2016-02-15 12:56:00.882644275 -0500
@@ -95,8 +95,7 @@
 		nvlfru = cmd_mem2hc(hdl, dimm->dimm_asru_nvl);
 		flt = cmd_nvl_create_fault(hdl, fltnm, cert,
 		    dimm->dimm_asru_nvl, nvlfru, NULL);
-		if (nvlfru != NULL)
-			nvlist_free(nvlfru);
+		nvlist_free(nvlfru);
 	}
 	return (cmd_fault_add_location(hdl, flt, dimm->dimm_unum));
 #else
--- old/usr/src/cmd/fm/modules/sun4/cpumem-diagnosis/cmd_pageerr.c	2016-02-15 12:56:01.003536544 -0500
+++ new/usr/src/cmd/fm/modules/sun4/cpumem-diagnosis/cmd_pageerr.c	2016-02-15 12:56:01.007240837 -0500
@@ -79,8 +79,7 @@
 	flt = cmd_nvl_create_fault(hdl, "fault.memory.page", 100,
 	    page->page_asru_nvl, nvlfru, NULL);
 	flt = cmd_fault_add_location(hdl, flt, cmd_fmri_get_unum(modfru));
-	if (nvlfru != NULL)
-		nvlist_free(nvlfru);
+	nvlist_free(nvlfru);
 #else /* sun4v */
 	flt = cmd_nvl_create_fault(hdl, "fault.memory.page", 100,
 	    page->page_asru_nvl, modfru, NULL);
--- old/usr/src/cmd/fm/modules/sun4u/cpumem-diagnosis/cmd_oplerr.c	2016-02-15 12:56:01.190234746 -0500
+++ new/usr/src/cmd/fm/modules/sun4u/cpumem-diagnosis/cmd_oplerr.c	2016-02-15 12:56:01.194338141 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * OPL platform specific functions for
  * CPU/Memory error diagnosis engine.
@@ -180,8 +178,7 @@
 			sib_cpu = cmd_cpu_lookup(hdl, fmri, class,
 			    CMD_CPU_LEVEL_THREAD);
 			if (sib_cpu == NULL || sib_cpu->cpu_faulting) {
-				if (fmri != NULL)
-					nvlist_free(fmri);
+				nvlist_free(fmri);
 				opl_cpu->oc_cmd_cpu = NULL;
 				fmd_hdl_debug(hdl,
 				"cpu not present, cpuid %u excluded\n",
@@ -189,8 +186,7 @@
 				continue;
 			}
 			opl_cpu->oc_cmd_cpu = sib_cpu;
-			if (fmri != NULL)
-				nvlist_free(fmri);
+			nvlist_free(fmri);
 			nsusp++;
 		}
 		if (cpu->cpu_cpuid == main_cpuid) {
--- old/usr/src/cmd/fm/modules/sun4v/cpumem-diagnosis/cmd_hc_sun4v.c	2016-02-15 12:56:01.340154222 -0500
+++ new/usr/src/cmd/fm/modules/sun4v/cpumem-diagnosis/cmd_hc_sun4v.c	2016-02-15 12:56:01.343977514 -0500
@@ -200,8 +200,7 @@
 
 	if (cmd_breakup_components(nac, "/", hc_list) < 0) {
 		for (i = 0; i < n; i++) {
-			if (hc_list[i] != NULL)
-			    nvlist_free(hc_list[i]);
+			nvlist_free(hc_list[i]);
 		}
 		fmd_hdl_free(hdl, hc_list, sizeof (nvlist_t *)*n);
 		fmd_hdl_free(hdl, nac, len);
@@ -210,8 +209,7 @@
 
 	if (nvlist_alloc(&fru, NV_UNIQUE_NAME, 0) != 0) {
 		for (i = 0; i < n; i++) {
-			if (hc_list[i] != NULL)
-			    nvlist_free(hc_list[i]);
+			nvlist_free(hc_list[i]);
 		}
 		fmd_hdl_free(hdl, hc_list, sizeof (nvlist_t *)*n);
 		fmd_hdl_free(hdl, nac, len);
@@ -224,8 +222,7 @@
 	    nvlist_add_uint32(fru, FM_FMRI_HC_LIST_SZ, n) != 0 ||
 	    nvlist_add_nvlist_array(fru, FM_FMRI_HC_LIST, hc_list, n) != 0) {
 		for (i = 0; i < n; i++) {
-			if (hc_list[i] != NULL)
-			    nvlist_free(hc_list[i]);
+			nvlist_free(hc_list[i]);
 		}
 		fmd_hdl_free(hdl, hc_list, sizeof (nvlist_t *)*n);
 		fmd_hdl_free(hdl, nac, len);
@@ -234,8 +231,7 @@
 	}
 
 	for (i = 0; i < n; i++) {
-		if (hc_list[i] != NULL)
-		    nvlist_free(hc_list[i]);
+		nvlist_free(hc_list[i]);
 	}
 	fmd_hdl_free(hdl, hc_list, sizeof (nvlist_t *)*n);
 	fmd_hdl_free(hdl, nac, len);
@@ -272,8 +268,7 @@
 
 	flt = cmd_nvl_create_fault(hdl, fltnm, cert, nvlfru, nvlfru, NULL);
 	flt = cmd_fault_add_location(hdl, flt, loc);
-	if (nvlfru != NULL)
-		nvlist_free(nvlfru);
+	nvlist_free(nvlfru);
 	return (flt);
 }
 
@@ -638,16 +633,14 @@
 		}
 		fllist = fmd_nvl_create_fault(hdl, class, cert, asru,
 		    fru, rsrc);
-		if (hsp != NULL)
-			nvlist_free(hsp);
+		nvlist_free(hsp);
 	} else {
 		rsrc = get_cpu_fault_resource(hdl, asru);
 		fllist = fmd_nvl_create_fault(hdl, class, cert, asru,
 		    fru, rsrc);
 	}
 
-	if (rsrc != NULL)
-		nvlist_free(rsrc);
+	nvlist_free(rsrc);
 
 	return (fllist);
 }
--- old/usr/src/cmd/fm/modules/sun4v/cpumem-diagnosis/cmd_memerr_arch.c	2016-02-15 12:56:01.504021953 -0500
+++ new/usr/src/cmd/fm/modules/sun4v/cpumem-diagnosis/cmd_memerr_arch.c	2016-02-15 12:56:01.507764758 -0500
@@ -524,8 +524,7 @@
 		}
 	}
 
-	if (rsc)
-		nvlist_free(rsc);
+	nvlist_free(rsc);
 
 	return (solve ? CMD_EVD_OK : CMD_EVD_UNUSED);
 }
--- old/usr/src/cmd/fm/modules/sun4v/cpumem-retire/cma_cpu_sun4v.c	2016-02-15 12:56:01.684042581 -0500
+++ new/usr/src/cmd/fm/modules/sun4v/cpumem-retire/cma_cpu_sun4v.c	2016-02-15 12:56:01.688137124 -0500
@@ -262,8 +262,7 @@
 static void
 cma_cpu_free(fmd_hdl_t *hdl, cma_cpu_t *cpu)
 {
-	if (cpu->cpu_fmri != NULL)
-		nvlist_free(cpu->cpu_fmri);
+	nvlist_free(cpu->cpu_fmri);
 	if (cpu->cpu_uuid != NULL)
 		fmd_hdl_strfree(hdl, cpu->cpu_uuid);
 	fmd_hdl_free(hdl, cpu, sizeof (cma_cpu_t));
--- old/usr/src/cmd/fm/modules/sun4v/generic-mem/gmem_dimm.c	2016-02-15 12:56:01.884091296 -0500
+++ new/usr/src/cmd/fm/modules/sun4v/generic-mem/gmem_dimm.c	2016-02-15 12:56:01.892091165 -0500
@@ -482,8 +482,7 @@
 		fmd_hdl_debug(hdl, "Dimm sn=%s is not present\n", sn);
 		return (0);
 	}
-	if (dimm != NULL)
-		nvlist_free(dimm);
+	nvlist_free(dimm);
 	return (1);
 }
 
--- old/usr/src/cmd/fm/modules/sun4v/generic-mem/gmem_memerr.c	2016-02-15 12:56:02.077060853 -0500
+++ new/usr/src/cmd/fm/modules/sun4v/generic-mem/gmem_memerr.c	2016-02-15 12:56:02.081173232 -0500
@@ -199,8 +199,7 @@
 
 	if (nvlist_alloc(&rsrc,  NV_UNIQUE_NAME|NV_UNIQUE_NAME_TYPE, 0) != 0) {
 		for (i = 0; i < n; i++) {
-			if (hcl[i] != NULL)
-				nvlist_free(hcl[i]);
+			nvlist_free(hcl[i]);
 		}
 		fmd_hdl_free(hdl, hcl, sizeof (nvlist_t *) * n);
 	}
@@ -211,8 +210,7 @@
 	    nvlist_add_uint32(rsrc, FM_FMRI_HC_LIST_SZ, n) != 0 ||
 	    nvlist_add_nvlist_array(rsrc, FM_FMRI_HC_LIST, hcl, n) != 0) {
 		for (i = 0; i < n; i++) {
-			if (hcl[i] != NULL)
-				nvlist_free(hcl[i]);
+			nvlist_free(hcl[i]);
 		}
 		fmd_hdl_free(hdl, hcl, sizeof (nvlist_t *) * n);
 		nvlist_free(rsrc);
@@ -229,8 +227,7 @@
 	}
 
 	for (i = 0; i < n; i++) {
-		if (hcl[i] != NULL)
-			nvlist_free(hcl[i]);
+		nvlist_free(hcl[i]);
 	}
 
 	fmd_hdl_free(hdl, hcl, sizeof (nvlist_t *) * n);
@@ -399,8 +396,7 @@
 		    GMEM_FLTMAXCONF, NULL, gmem_dimm_fru(dimm), rsrc);
 		fmd_case_add_suspect(hdl, cp, flt);
 		fmd_case_solve(hdl, cp);
-		if (rsrc != NULL)
-			nvlist_free(rsrc);
+		nvlist_free(rsrc);
 	}
 }
 
@@ -435,8 +431,7 @@
 				gmem_dimm_dirty(hdl, dimm);
 				fmd_case_add_suspect(hdl, cp, flt);
 				fmd_case_solve(hdl, cp);
-				if (rsrc != NULL)
-					nvlist_free(rsrc);
+				nvlist_free(rsrc);
 				return;
 			}
 		}
@@ -705,8 +700,7 @@
 			gmem_dimm_dirty(hdl, dimm);
 			fmd_case_add_suspect(hdl, dimm->dimm_case.cc_cp, flt);
 			fmd_case_solve(hdl, dimm->dimm_case.cc_cp);
-			if (rsc != NULL)
-				nvlist_free(rsc);
+			nvlist_free(rsc);
 			return;
 		}
 		upos_pairs = i;
--- old/usr/src/cmd/fm/modules/sun4v/generic-mem/gmem_page.c	2016-02-15 12:56:02.218604769 -0500
+++ new/usr/src/cmd/fm/modules/sun4v/generic-mem/gmem_page.c	2016-02-15 12:56:02.222483917 -0500
@@ -271,8 +271,7 @@
 		return (1);
 	}
 
-	if (asru != NULL)
-		nvlist_free(asru);
+	nvlist_free(asru);
 
 	return (0);
 }
@@ -326,8 +325,7 @@
 	if (page != NULL) {
 		if (page->page_flags & GMEM_F_FAULTING ||
 		    gmem_page_unusable(hdl, page)) {
-			if (rsc != NULL)
-				nvlist_free(rsc);
+			nvlist_free(rsc);
 			page->page_flags |= GMEM_F_FAULTING;
 			return (0);
 		}
@@ -345,8 +343,7 @@
 		(void) nvlist_add_nvlist(rsc, FM_FMRI_HC_SPECIFIC, hsp);
 
 	flt = fmd_nvl_create_fault(hdl, GMEM_FAULT_PAGE, 100, NULL, fru, rsc);
-	if (rsc != NULL)
-		nvlist_free(rsc);
+	nvlist_free(rsc);
 
 	if (nvlist_add_boolean_value(flt, FM_SUSPECT_MESSAGE, B_FALSE) != 0)
 		fmd_hdl_abort(hdl, "failed to add no-message member to fault");
--- old/usr/src/cmd/fm/schemes/hc/scheme.c	2016-02-15 12:56:02.341737690 -0500
+++ new/usr/src/cmd/fm/schemes/hc/scheme.c	2016-02-15 12:56:02.345470525 -0500
@@ -227,10 +227,8 @@
 	}
 
 	fmd_fmri_topo_rele(thp);
-	if (f1 != NULL)
-		nvlist_free(f1);
-	if (f2 != NULL)
-		nvlist_free(f2);
+	nvlist_free(f1);
+	nvlist_free(f2);
 	return (rc);
 }
 
--- old/usr/src/cmd/fm/schemes/mem/mem.c	2016-02-15 12:56:02.483903591 -0500
+++ new/usr/src/cmd/fm/schemes/mem/mem.c	2016-02-15 12:56:02.487968251 -0500
@@ -525,8 +525,7 @@
 		retval = 1;
 	}
 
-	if (nvlcp)
-		nvlist_free(nvlcp);
+	nvlist_free(nvlcp);
 
 	return (retval);
 }
--- old/usr/src/cmd/fs.d/nfs/mountd/mountd.c	2016-02-15 12:56:02.668361007 -0500
+++ new/usr/src/cmd/fs.d/nfs/mountd/mountd.c	2016-02-15 12:56:02.672214581 -0500
@@ -1529,10 +1529,8 @@
 		return (B_FALSE);
 	}
 
-	if (nvl1 != NULL)
-		nvlist_free(nvl1);
-	if (nvl2 != NULL)
-		nvlist_free(nvl2);
+	nvlist_free(nvl1);
+	nvlist_free(nvl2);
 
 	/*
 	 * We were unable to find fsid's for at least one of the paths.
--- old/usr/src/cmd/hotplugd/hotplugd_door.c	2016-02-15 12:56:02.911368897 -0500
+++ new/usr/src/cmd/hotplugd/hotplugd_door.c	2016-02-15 12:56:02.915617089 -0500
@@ -253,10 +253,8 @@
 
 fail:
 	log_err("Door call failed (%s)\n", strerror(rv));
-	if (args != NULL)
-		nvlist_free(args);
-	if (results != NULL)
-		nvlist_free(results);
+	nvlist_free(args);
+	nvlist_free(results);
 	(void) door_return((char *)&rv, sizeof (int), NULL, 0);
 }
 
--- old/usr/src/cmd/mv/mv.c	2016-02-15 12:56:03.052880478 -0500
+++ new/usr/src/cmd/mv/mv.c	2016-02-15 12:56:03.056988672 -0500
@@ -1959,8 +1959,7 @@
 			if (targattrfd != -1)
 				(void) close(targattrfd);
 			srcattrfd = targattrfd = -1;
-			if (res != NULL)
-				nvlist_free(res);
+			nvlist_free(res);
 		}
 	}
 	/* Copy source file non default extended system attributes to target */
@@ -1972,8 +1971,7 @@
 		    "%s to %s\n"), cmd, source, target);
 	}
 out:
-	if (response != NULL)
-		nvlist_free(response);
+	nvlist_free(response);
 	close_all();
 	return (error == 0 ? 0 : 1);
 }
--- old/usr/src/cmd/pcidr/pcidr.c	2016-02-15 12:56:03.211080217 -0500
+++ new/usr/src/cmd/pcidr/pcidr.c	2016-02-15 12:56:03.214877616 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
@@ -255,8 +253,7 @@
 		*eqp = '=';
 	dprint(DDEBUG, "%s: bad attribute argv[%d]: \"%s\"\n", fn, i, argv[i]);
 ERR:
-	if (attrlistp != NULL)
-		nvlist_free(attrlistp);
+	nvlist_free(attrlistp);
 	return (NULL);
 }
 
--- old/usr/src/cmd/picl/plugins/common/devtree/picldevtree.c	2016-02-15 12:56:03.337396607 -0500
+++ new/usr/src/cmd/picl/plugins/common/devtree/picldevtree.c	2016-02-15 12:56:03.341296216 -0500
@@ -3631,8 +3631,7 @@
 	    nvlist_lookup_string(nvlp, PICLEVENTARG_DEVFS_PATH, &devfs_path) ||
 	    strlen(devfs_path) > (PATH_MAX - sizeof (PLATFORM_PATH))) {
 		syslog(LOG_INFO, PICL_EVENT_DROPPED, ename);
-		if (nvlp)
-			nvlist_free(nvlp);
+		nvlist_free(nvlp);
 		return;
 	}
 
--- old/usr/src/cmd/picl/plugins/sun4v/piclsbl/piclsbl.c	2016-02-15 12:56:03.526968052 -0500
+++ new/usr/src/cmd/picl/plugins/sun4v/piclsbl/piclsbl.c	2016-02-15 12:56:03.530797150 -0500
@@ -372,8 +372,7 @@
 		umem_free(req_ptr, sizeof (pcp_sbl_req_t));
 	if (resp_ptr != NULL)
 		free(resp_ptr);
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 }
 
 static void
--- old/usr/src/cmd/rcm_daemon/common/aggr_rcm.c	2016-02-15 12:56:03.712114138 -0500
+++ new/usr/src/cmd/rcm_daemon/common/aggr_rcm.c	2016-02-15 12:56:03.715826140 -0500
@@ -1319,8 +1319,7 @@
 
 	ret = 0;
 done:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (ret);
 }
 
--- old/usr/src/cmd/rcm_daemon/common/ibpart_rcm.c	2016-02-15 12:56:03.854219725 -0500
+++ new/usr/src/cmd/rcm_daemon/common/ibpart_rcm.c	2016-02-15 12:56:03.857898740 -0500
@@ -1248,8 +1248,7 @@
 
 	ret = 0;
 done:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (ret);
 }
 
--- old/usr/src/cmd/rcm_daemon/common/vlan_rcm.c	2016-02-15 12:56:03.994748396 -0500
+++ new/usr/src/cmd/rcm_daemon/common/vlan_rcm.c	2016-02-15 12:56:03.998428969 -0500
@@ -1216,8 +1216,7 @@
 
 	ret = 0;
 done:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (ret);
 }
 
--- old/usr/src/cmd/rcm_daemon/common/vnic_rcm.c	2016-02-15 12:56:04.135112098 -0500
+++ new/usr/src/cmd/rcm_daemon/common/vnic_rcm.c	2016-02-15 12:56:04.138953155 -0500
@@ -1227,8 +1227,7 @@
 
 	ret = 0;
 done:
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (ret);
 }
 
--- old/usr/src/cmd/syseventd/modules/sysevent_conf_mod/sysevent_conf_mod.c	2016-02-15 12:56:04.280009924 -0500
+++ new/usr/src/cmd/syseventd/modules/sysevent_conf_mod/sysevent_conf_mod.c	2016-02-15 12:56:04.284104528 -0500
@@ -1696,12 +1696,10 @@
 		}
 		if (expand_macros(ev, nvlist, sep, line, hdr)) {
 			freestr(line);
-			if (nvlist)
-				nvlist_free(nvlist);
+			nvlist_free(nvlist);
 			return (1);
 		}
-		if (nvlist)
-			nvlist_free(nvlist);
+		nvlist_free(nvlist);
 	}
 
 	if (debug_level >= DBG_EXEC) {
--- old/usr/src/cmd/zfs/zfs_main.c	2016-02-15 12:56:04.442213121 -0500
+++ new/usr/src/cmd/zfs/zfs_main.c	2016-02-15 12:56:04.446181068 -0500
@@ -5347,8 +5347,7 @@
 
 cleanup0:
 	nvlist_free(perm_nvl);
-	if (update_perm_nvl != NULL)
-		nvlist_free(update_perm_nvl);
+	nvlist_free(update_perm_nvl);
 cleanup1:
 	fs_perm_set_fini(&fs_perm_set);
 cleanup2:
--- old/usr/src/cmd/zoneadm/zfs.c	2016-02-15 12:56:04.702317914 -0500
+++ new/usr/src/cmd/zoneadm/zfs.c	2016-02-15 12:56:04.706164175 -0500
@@ -381,8 +381,7 @@
 	    "off") != 0) ||
 	    (nvlist_add_string(props, zfs_prop_to_name(ZFS_PROP_SHARESMB),
 	    "off") != 0)) {
-		if (props != NULL)
-			nvlist_free(props);
+		nvlist_free(props);
 		(void) fprintf(stderr, gettext("could not create ZFS clone "
 		    "%s: out of memory\n"), zonepath);
 		return (Z_ERR);
@@ -988,8 +987,7 @@
 	    "off") != 0) ||
 	    (nvlist_add_string(props, zfs_prop_to_name(ZFS_PROP_SHARESMB),
 	    "off") != 0)) {
-		if (props != NULL)
-			nvlist_free(props);
+		nvlist_free(props);
 		(void) fprintf(stderr, gettext("cannot create ZFS dataset %s: "
 		    "out of memory\n"), zfs_name);
 	}
--- old/usr/src/cmd/zoneadmd/vplat.c	2016-02-15 12:56:04.862654382 -0500
+++ new/usr/src/cmd/zoneadmd/vplat.c	2016-02-15 12:56:04.866840886 -0500
@@ -3480,8 +3480,7 @@
 	zonecfg_free_rctl_value_list(rctltab.zone_rctl_valptr);
 	if (error && nvl_packed != NULL)
 		free(nvl_packed);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (nvlv != NULL)
 		free(nvlv);
 	if (handle != NULL)
--- old/usr/src/cmd/zpool/zpool_main.c	2016-02-15 12:56:05.096964466 -0500
+++ new/usr/src/cmd/zpool/zpool_main.c	2016-02-15 12:56:05.100957320 -0500
@@ -3241,8 +3241,7 @@
 			if (add_prop_list(
 			    zpool_prop_to_name(ZPOOL_PROP_ALTROOT), optarg,
 			    &props, B_TRUE) != 0) {
-				if (props)
-					nvlist_free(props);
+				nvlist_free(props);
 				usage(B_FALSE);
 			}
 			break;
@@ -3255,8 +3254,7 @@
 				propval++;
 				if (add_prop_list(optarg, propval,
 				    &props, B_TRUE) != 0) {
-					if (props)
-						nvlist_free(props);
+					nvlist_free(props);
 					usage(B_FALSE);
 				}
 			} else {
--- old/usr/src/cmd/zpool/zpool_vdev.c	2016-02-15 12:56:05.323738846 -0500
+++ new/usr/src/cmd/zpool/zpool_vdev.c	2016-02-15 12:56:05.327610517 -0500
@@ -1403,8 +1403,7 @@
 	}
 
 	if (zpool_vdev_split(zhp, newname, &newroot, props, flags) != 0) {
-		if (newroot != NULL)
-			nvlist_free(newroot);
+		nvlist_free(newroot);
 		return (NULL);
 	}
 
--- old/usr/src/common/fsreparse/fs_reparse.c	2016-02-15 12:56:05.468320825 -0500
+++ new/usr/src/common/fsreparse/fs_reparse.c	2016-02-15 12:56:05.472072998 -0500
@@ -80,8 +80,7 @@
 void
 reparse_free(nvlist_t *nvl)
 {
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 }
 
 /*
--- old/usr/src/common/nvpair/nvpair.c	2016-02-15 12:56:05.589155152 -0500
+++ new/usr/src/common/nvpair/nvpair.c	2016-02-15 12:56:05.593175367 -0500
@@ -540,8 +540,7 @@
 		int i;
 
 		for (i = 0; i < NVP_NELEM(nvp); i++)
-			if (nvlp[i] != NULL)
-				nvlist_free(nvlp[i]);
+			nvlist_free(nvlp[i]);
 		break;
 	}
 	default:
--- old/usr/src/lib/cfgadm_plugins/ib/common/cfga_ib.c	2016-02-15 12:56:05.768178861 -0500
+++ new/usr/src/lib/cfgadm_plugins/ib/common/cfga_ib.c	2016-02-15 12:56:05.772440964 -0500
@@ -1970,8 +1970,7 @@
 	}
 
 	S_FREE(snap_data);
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	/*
 	 * if a cmdline specified ap_id doesn't match the known list of ap_ids
--- old/usr/src/lib/cfgadm_plugins/sbd/common/ap_rcm.c	2016-02-15 12:56:05.927702646 -0500
+++ new/usr/src/lib/cfgadm_plugins/sbd/common/ap_rcm.c	2016-02-15 12:56:05.931761105 -0500
@@ -797,8 +797,7 @@
 	}
 
 done:
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	s_free(oldcpuids);
 	s_free(newcpuids);
 	return (rv);
--- old/usr/src/lib/fm/libfmd_agent/common/fmd_agent.c	2016-02-15 12:56:06.074538131 -0500
+++ new/usr/src/lib/fm/libfmd_agent/common/fmd_agent.c	2016-02-15 12:56:06.078687511 -0500
@@ -74,10 +74,8 @@
 cleanup_set_errno(fmd_agent_hdl_t *hdl, nvlist_t *innvl, nvlist_t *outnvl,
     int err)
 {
-	if (innvl != NULL)
-		nvlist_free(innvl);
-	if (outnvl != NULL)
-		nvlist_free(outnvl);
+	nvlist_free(innvl);
+	nvlist_free(outnvl);
 	return (fmd_agent_seterrno(hdl, err));
 }
 
--- old/usr/src/lib/fm/libfmd_agent/i386/fmd_agent_i386.c	2016-02-15 12:56:06.195904039 -0500
+++ new/usr/src/lib/fm/libfmd_agent/i386/fmd_agent_i386.c	2016-02-15 12:56:06.199901226 -0500
@@ -36,10 +36,8 @@
 cleanup_set_errno(fmd_agent_hdl_t *hdl, nvlist_t *innvl, nvlist_t *outnvl,
     int err)
 {
-	if (innvl != NULL)
-		nvlist_free(innvl);
-	if (outnvl != NULL)
-		nvlist_free(outnvl);
+	nvlist_free(innvl);
+	nvlist_free(outnvl);
 	return (fmd_agent_seterrno(hdl, err));
 }
 
--- old/usr/src/lib/fm/libfmevent/common/fmev_publish.c	2016-02-15 12:56:06.315028145 -0500
+++ new/usr/src/lib/fm/libfmevent/common/fmev_publish.c	2016-02-15 12:56:06.319017948 -0500
@@ -434,11 +434,10 @@
 
 done:
 	/* Free a passed in nvlist iff success */
-	if (nvl && rc == FMEV_SUCCESS)
+	if (rc == FMEV_SUCCESS)
 		nvlist_free(nvl);
 
-	if (tmpnvl)
-		nvlist_free(tmpnvl);
+	nvlist_free(tmpnvl);
 
 	return (rc);
 }
--- old/usr/src/lib/fm/topo/libtopo/common/hc.c	2016-02-15 12:56:06.442471756 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/hc.c	2016-02-15 12:56:06.446360567 -0500
@@ -1036,8 +1036,7 @@
 	return (0);
 
 hcfmbail:
-	if (nf != NULL)
-		nvlist_free(nf);
+	nvlist_free(nf);
 	for (i = 0; i < npairs; i++)
 		nvlist_free(pa[i]);
 	topo_mod_free(mod, pa, npairs * sizeof (nvlist_t *));
@@ -1177,8 +1176,7 @@
 
 	if (hcl != NULL) {
 		for (i = 0; i < pelems + 1; ++i) {
-			if (hcl[i] != NULL)
-				nvlist_free(hcl[i]);
+			nvlist_free(hcl[i]);
 		}
 		topo_mod_free(mod, hcl, sizeof (nvlist_t *) * (pelems + 1));
 	}
--- old/usr/src/lib/fm/topo/libtopo/common/sw.c	2016-02-15 12:56:06.606390826 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/sw.c	2016-02-15 12:56:06.610085089 -0500
@@ -281,18 +281,12 @@
 out:
 	if (moderr == 0)
 		*out = fmri;
-
-	if (moderr != 0 && fmri)
+	else
 		nvlist_free(fmri);
 
-	if (obj)
-		nvlist_free(obj);
-
-	if (site)
-		nvlist_free(site);
-
-	if (ctxt)
-		nvlist_free(ctxt);
+	nvlist_free(obj);
+	nvlist_free(site);
+	nvlist_free(ctxt);
 
 	return (moderr == 0 ? 0 : topo_mod_seterrno(mod, moderr));
 }
--- old/usr/src/lib/fm/topo/libtopo/common/topo_fmri.c	2016-02-15 12:56:06.731592396 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/topo_fmri.c	2016-02-15 12:56:06.735254803 -0500
@@ -74,8 +74,7 @@
 static int
 set_error(topo_hdl_t *thp, int err, int *errp, char *method, nvlist_t *nvlp)
 {
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 
 	topo_dprintf(thp, TOPO_DBG_ERR, "%s failed: %s\n", method,
 	    topo_strerror(err));
@@ -88,8 +87,7 @@
 static nvlist_t *
 set_nverror(topo_hdl_t *thp, int err, int *errp, char *method, nvlist_t *nvlp)
 {
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 
 	topo_dprintf(thp, TOPO_DBG_ERR, "%s failed: %s\n", method,
 	    topo_strerror(err));
@@ -593,8 +591,7 @@
 	nvlist_free(in);
 
 	/* no return values */
-	if (out != NULL)
-		nvlist_free(out);
+	nvlist_free(out);
 
 	if (rv)
 		return (-1);
--- old/usr/src/lib/fm/topo/libtopo/common/topo_parse.c	2016-02-15 12:56:06.868230234 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/topo_parse.c	2016-02-15 12:56:06.872127046 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <libxml/parser.h>
 #include <fm/libtopo.h>
 #include <topo_alloc.h>
@@ -195,8 +193,7 @@
 		return;
 	if (p->tpad_pgs != NULL) {
 		for (n = 0; n < p->tpad_pgcnt; n++)
-			if (p->tpad_pgs[n] != NULL)
-				nvlist_free(p->tpad_pgs[n]);
+			nvlist_free(p->tpad_pgs[n]);
 		topo_mod_free(mp,
 		    p->tpad_pgs, p->tpad_pgcnt * sizeof (nvlist_t *));
 	}
--- old/usr/src/lib/fm/topo/libtopo/common/topo_prop.c	2016-02-15 12:56:06.987484432 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/topo_prop.c	2016-02-15 12:56:06.991383682 -0500
@@ -109,8 +109,7 @@
 static int
 method_geterror(nvlist_t *nvl, int err, int *errp)
 {
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	*errp = err;
 
@@ -165,8 +164,7 @@
 		return (method_geterror(nvl, ETOPO_PROP_TYPE, err));
 
 	/* Release the last value and re-assign to the new value */
-	if (pv->tp_val != NULL)
-		nvlist_free(pv->tp_val);
+	nvlist_free(pv->tp_val);
 	pv->tp_val = nvl;
 
 	return (0);
@@ -855,8 +853,7 @@
 	if (pm != NULL) {
 		if (pm->tpm_name != NULL)
 			topo_hdl_strfree(thp, pm->tpm_name);
-		if (pm->tpm_args != NULL)
-			nvlist_free(pm->tpm_args);
+		nvlist_free(pm->tpm_args);
 		topo_hdl_free(thp, pm, sizeof (topo_propmethod_t));
 	}
 
@@ -1307,8 +1304,7 @@
 	if (pm != NULL) {
 		if (pm->tpm_name != NULL)
 			topo_hdl_strfree(thp, pm->tpm_name);
-		if (pm->tpm_args != NULL)
-			nvlist_free(pm->tpm_args);
+		nvlist_free(pm->tpm_args);
 		topo_hdl_free(thp, pm, sizeof (topo_propmethod_t));
 		pv->tp_method = NULL;
 	}
@@ -1327,8 +1323,7 @@
 	if (pv->tp_name != NULL)
 		topo_hdl_strfree(thp, pv->tp_name);
 
-	if (pv->tp_val != NULL)
-		nvlist_free(pv->tp_val);
+	nvlist_free(pv->tp_val);
 
 	propmethod_destroy(thp, pv);
 
@@ -1403,8 +1398,7 @@
 {
 	topo_node_unlock(node);
 
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	*errp = err;
 
@@ -1476,8 +1470,7 @@
 {
 	topo_node_unlock(node);
 
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	*errp = err;
 
--- old/usr/src/lib/fm/topo/libtopo/common/topo_xml.c	2016-02-15 12:56:07.139376131 -0500
+++ new/usr/src/lib/fm/topo/libtopo/common/topo_xml.c	2016-02-15 12:56:07.143267704 -0500
@@ -1012,8 +1012,7 @@
 		xmlFree(meth_name);
 	if (prop_name)
 		xmlFree(prop_name);
-	if (arg_nvl)
-		nvlist_free(arg_nvl);
+	nvlist_free(arg_nvl);
 	return (ret);
 }
 
@@ -1102,8 +1101,7 @@
 		e |= nvlist_add_nvlist_array(pgnvl, INV_PGRP_ALLPROPS, apl,
 		    pcnt);
 		for (ai = 0; ai < pcnt; ai++)
-			if (apl[ai] != NULL)
-				nvlist_free(apl[ai]);
+			nvlist_free(apl[ai]);
 		topo_mod_free(mp, apl, pcnt * sizeof (nvlist_t *));
 		if (e != 0) {
 			nvlist_free(pgnvl);
--- old/usr/src/lib/fm/topo/modules/SUNW,SPARC-Enterprise/ioboard/opl_hostbridge.c	2016-02-15 12:56:07.300355843 -0500
+++ new/usr/src/lib/fm/topo/modules/SUNW,SPARC-Enterprise/ioboard/opl_hostbridge.c	2016-02-15 12:56:07.304230584 -0500
@@ -209,8 +209,7 @@
 	    TOPO_IO_MODULE, TOPO_PROP_IMMUTABLE, mod,  &err) != 0) {
 		topo_mod_dprintf(mp, "Failed to set MODULE property\n");
 	}
-	if (mod != NULL)
-		nvlist_free(mod);
+	nvlist_free(mod);
 
 	/* This is a PCIEX Root Complex */
 	if (topo_prop_set_string(rcn, TOPO_PGROUP_PCI, TOPO_PCI_EXCAP,
--- old/usr/src/lib/fm/topo/modules/common/disk/disk_common.c	2016-02-15 12:56:07.422259179 -0500
+++ new/usr/src/lib/fm/topo/modules/common/disk/disk_common.c	2016-02-15 12:56:07.426055679 -0500
@@ -266,12 +266,11 @@
 	}
 	err = 0;
 
-out:	if (fmri)
-		nvlist_free(fmri);
+out:
+	nvlist_free(fmri);
 	if (label)
 		topo_mod_strfree(mod, label);
-	if (asru)
-		nvlist_free(asru);
+	nvlist_free(asru);
 	return (err);
 
 error:	err = topo_mod_seterrno(mod, err);
--- old/usr/src/lib/fm/topo/modules/common/pcibus/did_props.c	2016-02-15 12:56:07.558589357 -0500
+++ new/usr/src/lib/fm/topo/modules/common/pcibus/did_props.c	2016-02-15 12:56:07.562373240 -0500
@@ -612,8 +612,7 @@
 		}
 		nvlist_free(in);
 		(void) topo_node_fru_set(tn, out, 0, &err);
-		if (out != NULL)
-			nvlist_free(out);
+		nvlist_free(out);
 	} else
 		(void) topo_node_fru_set(tn, NULL, 0, &err);
 
--- old/usr/src/lib/fm/topo/modules/i86pc/chip/chip_amd.c	2016-02-15 12:56:07.696748895 -0500
+++ new/usr/src/lib/fm/topo/modules/i86pc/chip/chip_amd.c	2016-02-15 12:56:07.700485552 -0500
@@ -688,8 +688,7 @@
 		(void) topo_prop_set_string(chnode, PGNAME(CHAN), "channel",
 		    TOPO_PROP_IMMUTABLE, i == 0 ? "A" : "B", &err);
 	}
-	if (pfmri)
-		nvlist_free(pfmri);
+	nvlist_free(pfmri);
 
 	return (nerr == 0 ? 0 : -1);
 }
--- old/usr/src/lib/fm/topo/modules/sun4v/cpuboard/cpuboard_hostbridge.c	2016-02-15 12:56:07.829152959 -0500
+++ new/usr/src/lib/fm/topo/modules/sun4v/cpuboard/cpuboard_hostbridge.c	2016-02-15 12:56:07.833012860 -0500
@@ -184,8 +184,7 @@
 	    TOPO_IO_MODULE, TOPO_PROP_IMMUTABLE, mod,  &err) != 0) {
 		topo_mod_dprintf(mp, "Failed to set MODULE property\n");
 	}
-	if (mod != NULL)
-		nvlist_free(mod);
+	nvlist_free(mod);
 
 	/* This is a PCIEX Root Complex */
 	if (topo_prop_set_string(rcn, TOPO_PGROUP_PCI, TOPO_PCI_EXCAP,
--- old/usr/src/lib/libbe/common/be_create.c	2016-02-15 12:56:07.974383283 -0500
+++ new/usr/src/lib/libbe/common/be_create.c	2016-02-15 12:56:07.978274276 -0500
@@ -352,8 +352,7 @@
 	}
 
 done:
-	if (bt.nbe_zfs_props != NULL)
-		nvlist_free(bt.nbe_zfs_props);
+	nvlist_free(bt.nbe_zfs_props);
 
 	be_zfs_fini();
 
@@ -1167,8 +1166,7 @@
 	ZFS_CLOSE(zhp);
 	be_free_fs_list(&fld);
 
-	if (bt.nbe_zfs_props != NULL)
-		nvlist_free(bt.nbe_zfs_props);
+	nvlist_free(bt.nbe_zfs_props);
 
 	free(bt.obe_altroot);
 	free(new_mp);
@@ -2090,8 +2088,7 @@
 				    "failed to create zone BE clone for new "
 				    "zone BE %s\n"), new_zone_be_name);
 				ret = iret;
-				if (bt.nbe_zfs_props != NULL)
-					nvlist_free(bt.nbe_zfs_props);
+				nvlist_free(bt.nbe_zfs_props);
 				goto done;
 			}
 			/*
@@ -2116,8 +2113,7 @@
 					    "failed to generate auto name "
 					    "for zone BE.\n"));
 					ret = BE_ERR_AUTONAME;
-					if (bt.nbe_zfs_props != NULL)
-						nvlist_free(bt.nbe_zfs_props);
+					nvlist_free(bt.nbe_zfs_props);
 					goto done;
 				}
 
@@ -2140,8 +2136,7 @@
 					    zoneroot_ds,
 					    libzfs_error_description(g_zfs));
 					ret = zfs_err_to_be_err(g_zfs);
-					if (bt.nbe_zfs_props != NULL)
-						nvlist_free(bt.nbe_zfs_props);
+					nvlist_free(bt.nbe_zfs_props);
 					goto done;
 				}
 
@@ -2161,8 +2156,7 @@
 					    "for new zone BE %s\n"),
 					    new_zone_be_name);
 					ret = iret;
-					if (bt.nbe_zfs_props != NULL)
-						nvlist_free(bt.nbe_zfs_props);
+					nvlist_free(bt.nbe_zfs_props);
 					goto done;
 				}
 			}
@@ -2177,14 +2171,12 @@
 				free(bt.nbe_name);
 				bt.nbe_name = NULL;
 				ret = BE_ERR_AUTONAME;
-				if (bt.nbe_zfs_props != NULL)
-					nvlist_free(bt.nbe_zfs_props);
+				nvlist_free(bt.nbe_zfs_props);
 				goto done;
 			}
 		}
 
-		if (bt.nbe_zfs_props != NULL)
-			nvlist_free(bt.nbe_zfs_props);
+		nvlist_free(bt.nbe_zfs_props);
 
 		z_zhp = NULL;
 
--- old/usr/src/lib/libbe/common/be_snapshot.c	2016-02-15 12:56:08.263844520 -0500
+++ new/usr/src/lib/libbe/common/be_snapshot.c	2016-02-15 12:56:08.270565151 -0500
@@ -606,8 +606,7 @@
 done:
 	ZFS_CLOSE(zhp);
 
-	if (ss_props != NULL)
-		nvlist_free(ss_props);
+	nvlist_free(ss_props);
 
 	return (ret);
 }
--- old/usr/src/lib/libcmdutils/common/process_xattrs.c	2016-02-15 12:56:08.404980741 -0500
+++ new/usr/src/lib/libcmdutils/common/process_xattrs.c	2016-02-15 12:56:08.408859935 -0500
@@ -218,8 +218,7 @@
 			    "failed to move system attribute");
 	}
 error:
-	if (res != NULL)
-		nvlist_free(res);
+	nvlist_free(res);
 	if (silent == 0 && etext != NULL) {
 		if (!sattr)
 			(void) fprintf(stderr, dgettext(TEXT_DOMAIN,
@@ -246,8 +245,7 @@
 		(void) close(indfd);
 	if (outdfd != -1)
 		(void) close(outdfd);
-	if (response != NULL)
-		nvlist_free(response);
+	nvlist_free(response);
 	if (etext != NULL)
 		return (1);
 	else
@@ -319,7 +317,6 @@
 				return (response);
 		}
 	}
-	if (response != NULL)
-		nvlist_free(response);
+	nvlist_free(response);
 	return (NULL);
 }
--- old/usr/src/lib/libcontract/common/libcontract.c	2016-02-15 12:56:08.548669774 -0500
+++ new/usr/src/lib/libcontract/common/libcontract.c	2016-02-15 12:56:08.552382799 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/ctfs.h>
 #include <sys/contract.h>
 #include <string.h>
@@ -467,8 +465,7 @@
 	if (event_buffer)
 		free(event_buffer);
 	if (info) {
-		if (info->nvl)
-			nvlist_free(info->nvl);
+		nvlist_free(info->nvl);
 		free(info);
 	}
 	return (error);
@@ -507,8 +504,7 @@
 {
 	struct ctlib_event_info *info = evthdl;
 
-	if (info->nvl)
-		nvlist_free(info->nvl);
+	nvlist_free(info->nvl);
 	free(info);
 }
 
--- old/usr/src/lib/libdiskmgt/common/entry.c	2016-02-15 12:56:08.673472863 -0500
+++ new/usr/src/lib/libdiskmgt/common/entry.c	2016-02-15 12:56:08.677281086 -0500
@@ -716,10 +716,8 @@
 	}
 
 out:
-	if (media_attrs)
-		nvlist_free(media_attrs);
-	if (slice_attrs)
-		nvlist_free(slice_attrs);
+	nvlist_free(media_attrs);
+	nvlist_free(slice_attrs);
 
 	if (slices)
 		dm_free_descriptors(slices);
@@ -1057,8 +1055,7 @@
 out:
 	if (dname != NULL)
 		free(dname);
-	if (dev_stats != NULL)
-		nvlist_free(dev_stats);
+	nvlist_free(dev_stats);
 
 	return (found);
 }
--- old/usr/src/lib/libdladm/common/libdllink.c	2016-02-15 12:56:08.813600651 -0500
+++ new/usr/src/lib/libdladm/common/libdllink.c	2016-02-15 12:56:08.817424935 -0500
@@ -580,8 +580,7 @@
 done:
 	if (rcm_hdl != NULL)
 		(void) rcm_free_handle(rcm_hdl);
-	if (nvl != NULL)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (status);
 }
 
--- old/usr/src/lib/libipp/libipp.c	2016-02-15 12:56:08.949655194 -0500
+++ new/usr/src/lib/libipp/libipp.c	2016-02-15 12:56:08.953433873 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #include <stdlib.h>
 #include <sys/types.h>
@@ -225,8 +223,7 @@
 
 	return (dispatch(&nvlp, NULL, NULL));
 failed:
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 	errno = rc;
 	return (-1);
 }
@@ -336,8 +333,7 @@
 
 	return (dispatch(&nvlp, fn, arg));
 failed:
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 	errno = rc;
 	return (-1);
 }
@@ -389,8 +385,7 @@
 
 	return (dispatch(&nvlp, string_callback, (void *)modnamep));
 failed:
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 	errno = rc;
 	return (-1);
 }
@@ -446,8 +441,7 @@
 
 	return (rc);
 failed:
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 	errno = rc;
 	return (-1);
 }
@@ -510,8 +504,7 @@
 
 	return (rc);
 failed:
-	if (nvlp != NULL)
-		nvlist_free(nvlp);
+	nvlist_free(nvlp);
 	errno = rc;
 	return (-1);
 }
--- old/usr/src/lib/libnwam/common/libnwam_values.c	2016-02-15 12:56:09.084986793 -0500
+++ new/usr/src/lib/libnwam/common/libnwam_values.c	2016-02-15 12:56:09.088966668 -0500
@@ -380,8 +380,7 @@
 void
 nwam_free_object_list(void *list)
 {
-	if (list != NULL)
-		nvlist_free(list);
+	nvlist_free(list);
 }
 
 nwam_error_t
--- old/usr/src/lib/libpool/common/pool_kernel.c	2016-02-15 12:56:09.224550628 -0500
+++ new/usr/src/lib/libpool/common/pool_kernel.c	2016-02-15 12:56:09.228431939 -0500
@@ -2415,8 +2415,7 @@
 		return (PO_FAIL);
 
 	if (prov->pkc_log->l_state != LS_DO) {
-		if (bl)
-			nvlist_free(bl);
+		nvlist_free(bl);
 		return (PO_SUCCESS);
 	}
 	/*
@@ -3460,8 +3459,7 @@
 	case POOL_PROPPUT:
 		propput = (pool_propput_undo_t *)li->li_details;
 
-		if (propput->ppu_blist)
-			nvlist_free(propput->ppu_blist);
+		nvlist_free(propput->ppu_blist);
 		free(propput->ppu_ioctl.pp_o_buf);
 		free(propput);
 		break;
--- old/usr/src/lib/librcm/librcm.c	2016-02-15 12:56:09.414876367 -0500
+++ new/usr/src/lib/librcm/librcm.c	2016-02-15 12:56:09.418570984 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "librcm_impl.h"
 #include "librcm_event.h"
 
@@ -545,8 +543,7 @@
 	while (info) {
 		rcm_info_t *tmp = info->next;
 
-		if (info->info)
-			nvlist_free(info->info);
+		nvlist_free(info->info);
 		free(info);
 
 		info = tmp;
@@ -1260,8 +1257,7 @@
 out:
 	if (nvl_packed)
 		free(nvl_packed);
-	if (ret)
-		nvlist_free(ret);
+	nvlist_free(ret);
 	dprintf((stderr, "daemon call is done. error = %d, errno = %s\n", error,
 	    strerror(errno)));
 	return (error);
@@ -1450,8 +1446,7 @@
 fail:
 	if (buf)
 		free(buf);
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	if (*nvl_packed)
 		free(*nvl_packed);
 	*nvl_packed = NULL;
--- old/usr/src/lib/libscf/common/notify_params.c	2016-02-15 12:56:09.559502713 -0500
+++ new/usr/src/lib/libscf/common/notify_params.c	2016-02-15 12:56:09.563283693 -0500
@@ -1770,8 +1770,7 @@
 	r = SCF_SUCCESS;
 
 cleanup:
-	if (params)
-		nvlist_free(params);
+	nvlist_free(params);
 	scf_pg_destroy(pg);
 	scf_instance_destroy(i);
 	scf_handle_destroy(h);
--- old/usr/src/lib/libsysevent/libsysevent.c	2016-02-15 12:56:09.712819290 -0500
+++ new/usr/src/lib/libsysevent/libsysevent.c	2016-02-15 12:56:09.716647338 -0500
@@ -218,8 +218,7 @@
 {
 	nvlist_t *attr_list = (nvlist_t *)(uintptr_t)SE_ATTR_PTR(ev);
 
-	if (attr_list)
-		nvlist_free(attr_list);
+	nvlist_free(attr_list);
 	free(ev);
 }
 
@@ -1462,8 +1461,7 @@
 create_failed:
 	dealloc_subscribers(shp);
 	free_cached_registration(shp);
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (-1);
 
 }
--- old/usr/src/lib/libzfs/common/libzfs_config.c	2016-02-15 12:56:09.886866033 -0500
+++ new/usr/src/lib/libzfs/common/libzfs_config.c	2016-02-15 12:56:09.890637010 -0500
@@ -318,8 +318,7 @@
 		verify(nvlist_lookup_uint64(config,
 		    ZPOOL_CONFIG_POOL_TXG, &newtxg) == 0);
 
-		if (zhp->zpool_old_config != NULL)
-			nvlist_free(zhp->zpool_old_config);
+		nvlist_free(zhp->zpool_old_config);
 
 		if (oldtxg != newtxg) {
 			nvlist_free(zhp->zpool_config);
--- old/usr/src/lib/libzfs/common/libzfs_dataset.c	2016-02-15 12:56:10.011327851 -0500
+++ new/usr/src/lib/libzfs/common/libzfs_dataset.c	2016-02-15 12:56:10.016141069 -0500
@@ -2010,8 +2010,7 @@
 			zcmd_free_nvlists(&zc);
 			return (-1);
 		}
-		if (zplprops)
-			nvlist_free(zplprops);
+		nvlist_free(zplprops);
 		zcmd_free_nvlists(&zc);
 		break;
 
@@ -4242,8 +4241,7 @@
 		return (-1);
 	}
 	error = ioctl(hdl->libzfs_fd, ZFS_IOC_SMB_ACL, &zc);
-	if (nvlist)
-		nvlist_free(nvlist);
+	nvlist_free(nvlist);
 	return (error);
 }
 
--- old/usr/src/lib/libzfs/common/libzfs_import.c	2016-02-15 12:56:10.230136835 -0500
+++ new/usr/src/lib/libzfs/common/libzfs_import.c	2016-02-15 12:56:10.233928879 -0500
@@ -1282,8 +1282,7 @@
 			venext = ve->ve_next;
 			for (ce = ve->ve_configs; ce != NULL; ce = cenext) {
 				cenext = ce->ce_next;
-				if (ce->ce_config)
-					nvlist_free(ce->ce_config);
+				nvlist_free(ce->ce_config);
 				free(ce);
 			}
 			free(ve);
--- old/usr/src/lib/libzfs/common/libzfs_pool.c	2016-02-15 12:56:10.380080707 -0500
+++ new/usr/src/lib/libzfs/common/libzfs_pool.c	2016-02-15 12:56:10.383811922 -0500
@@ -1025,12 +1025,9 @@
 void
 zpool_close(zpool_handle_t *zhp)
 {
-	if (zhp->zpool_config)
-		nvlist_free(zhp->zpool_config);
-	if (zhp->zpool_old_config)
-		nvlist_free(zhp->zpool_old_config);
-	if (zhp->zpool_props)
-		nvlist_free(zhp->zpool_props);
+	nvlist_free(zhp->zpool_config);
+	nvlist_free(zhp->zpool_old_config);
+	nvlist_free(zhp->zpool_props);
 	free(zhp);
 }
 
@@ -1548,8 +1545,7 @@
 
 	ret = zpool_import_props(hdl, config, newname, props,
 	    ZFS_IMPORT_NORMAL);
-	if (props)
-		nvlist_free(props);
+	nvlist_free(props);
 	return (ret);
 }
 
@@ -2854,8 +2850,7 @@
 	    &children) != 0) {
 		zfs_error_aux(hdl, dgettext(TEXT_DOMAIN,
 		    "Source pool is missing vdev tree"));
-		if (zc_props)
-			nvlist_free(zc_props);
+		nvlist_free(zc_props);
 		return (-1);
 	}
 
@@ -3003,10 +2998,8 @@
 		free(varray);
 	}
 	zcmd_free_nvlists(&zc);
-	if (zc_props)
-		nvlist_free(zc_props);
-	if (newconfig)
-		nvlist_free(newconfig);
+	nvlist_free(zc_props);
+	nvlist_free(newconfig);
 	if (freelist) {
 		nvlist_free(*newroot);
 		*newroot = NULL;
--- old/usr/src/lib/libzfs/common/libzfs_sendrecv.c	2016-02-15 12:56:10.579800185 -0500
+++ new/usr/src/lib/libzfs/common/libzfs_sendrecv.c	2016-02-15 12:56:10.583630286 -0500
@@ -2753,8 +2753,7 @@
 
 out:
 	fsavl_destroy(stream_avl);
-	if (stream_nv)
-		nvlist_free(stream_nv);
+	nvlist_free(stream_nv);
 	if (softerr)
 		error = -2;
 	if (anyerr)
--- old/usr/src/lib/pylibbe/common/libbe_py.c	2016-02-15 12:56:10.772847555 -0500
+++ new/usr/src/lib/pylibbe/common/libbe_py.c	2016-02-15 12:56:10.776870873 -0500
@@ -222,7 +222,7 @@
 		    NULL, NULL));
 	}
 
-	if (beProps != NULL) nvlist_free(beProps);
+	nvlist_free(beProps);
 
 	if (trgtBeName == NULL) {
 		/*
--- old/usr/src/man/man3nvpair/nvlist_alloc.3nvpair	2016-02-15 12:56:10.907887618 -0500
+++ new/usr/src/man/man3nvpair/nvlist_alloc.3nvpair	2016-02-15 12:56:10.911819657 -0500
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH NVLIST_ALLOC 3NVPAIR "Feb 2, 2004"
+.TH NVLIST_ALLOC 3NVPAIR "Feb 15, 2016"
 .SH NAME
 nvlist_alloc, nvlist_free, nvlist_size, nvlist_pack, nvlist_unpack, nvlist_dup,
 nvlist_merge, nvlist_xalloc, nvlist_xpack, nvlist_xunpack, nvlist_xdup,
@@ -243,7 +243,8 @@
 Pluggable Allocators section.
 .sp
 .LP
-The \fBnvlist_free()\fR function frees a name-value pair list.
+The \fBnvlist_free()\fR function frees a name-value pair list. If \fInvl\fR
+is a null pointer, no action occurs.
 .sp
 .LP
 The \fBnvlist_size()\fR function returns the minimum size of a contiguous
--- old/usr/src/man/man9f/nvlist_alloc.9f	2016-02-15 12:56:11.124940394 -0500
+++ new/usr/src/man/man9f/nvlist_alloc.9f	2016-02-15 12:56:11.128861153 -0500
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH NVLIST_ALLOC 9F "Jan 16, 2006"
+.TH NVLIST_ALLOC 9F "Feb 15, 2016"
 .SH NAME
 nvlist_alloc, nvlist_free, nvlist_size, nvlist_pack, nvlist_unpack, nvlist_dup,
 nv_alloc_init, nv_alloc_fini, nvlist_xalloc, nvlist_xpack, nvlist_xunpack,
@@ -259,7 +259,8 @@
 Pluggable Allocators section.
 .sp
 .LP
-The \fBnvlist_free()\fR function frees a name-value pair list.
+The \fBnvlist_free()\fR function frees a name-value pair list. If \fInvl\fR
+is a null pointer, no action occurs.
 .sp
 .LP
 The \fBnvlist_size()\fR function returns the minimum size of a contiguous
--- old/usr/src/uts/common/avs/ns/nsctl/nsc_trap.c	2016-02-15 12:56:11.342459162 -0500
+++ new/usr/src/uts/common/avs/ns/nsctl/nsc_trap.c	2016-02-15 12:56:11.346272356 -0500
@@ -71,8 +71,7 @@
 		rc = ddi_log_sysevent(info_dip, DDI_VENDOR_SUNW,
 		    SVE_II_CLASS, component, attr_list, NULL, DDI_SLEEP);
 out:
-	if (attr_list)
-		nvlist_free(attr_list);
+	nvlist_free(attr_list);
 
 	if (rc != 0) {
 		cmn_err(CE_WARN, "!%s: unable to log sysevent %d:%s and %d",
--- old/usr/src/uts/common/contract/device.c	2016-02-15 12:56:11.459133852 -0500
+++ new/usr/src/uts/common/contract/device.c	2016-02-15 12:56:11.463139787 -0500
@@ -1923,8 +1923,7 @@
 	mutex_exit(&(DEVI(dip)->devi_ct_lock));
 
 out:
-	if (tnvl)
-		nvlist_free(tnvl);
+	nvlist_free(tnvl);
 	if (path)
 		kmem_free(path, MAXPATHLEN);
 
--- old/usr/src/uts/common/fs/dev/sdev_ncache.c	2016-02-15 12:56:11.619565161 -0500
+++ new/usr/src/uts/common/fs/dev/sdev_ncache.c	2016-02-15 12:56:11.623442825 -0500
@@ -341,8 +341,7 @@
 	return (DDI_SUCCESS);
 
 err:
-	if (sub_nvl)
-		nvlist_free(sub_nvl);
+	nvlist_free(sub_nvl);
 	nvlist_free(nvl);
 	*ret_nvl = NULL;
 	return (DDI_FAILURE);
--- old/usr/src/uts/common/fs/dev/sdev_subr.c	2016-02-15 12:56:11.753468075 -0500
+++ new/usr/src/uts/common/fs/dev/sdev_subr.c	2016-02-15 12:56:11.757359818 -0500
@@ -160,16 +160,11 @@
 sdev_prof_free(struct sdev_node *dv)
 {
 	ASSERT(!SDEV_IS_GLOBAL(dv));
-	if (dv->sdev_prof.dev_name)
-		nvlist_free(dv->sdev_prof.dev_name);
-	if (dv->sdev_prof.dev_map)
-		nvlist_free(dv->sdev_prof.dev_map);
-	if (dv->sdev_prof.dev_symlink)
-		nvlist_free(dv->sdev_prof.dev_symlink);
-	if (dv->sdev_prof.dev_glob_incdir)
-		nvlist_free(dv->sdev_prof.dev_glob_incdir);
-	if (dv->sdev_prof.dev_glob_excdir)
-		nvlist_free(dv->sdev_prof.dev_glob_excdir);
+	nvlist_free(dv->sdev_prof.dev_name);
+	nvlist_free(dv->sdev_prof.dev_map);
+	nvlist_free(dv->sdev_prof.dev_symlink);
+	nvlist_free(dv->sdev_prof.dev_glob_incdir);
+	nvlist_free(dv->sdev_prof.dev_glob_excdir);
 	bzero(&dv->sdev_prof, sizeof (dv->sdev_prof));
 }
 
--- old/usr/src/uts/common/fs/nfs/nfs4_state.c	2016-02-15 12:56:11.935803211 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs4_state.c	2016-02-15 12:56:11.939774737 -0500
@@ -1066,8 +1066,7 @@
 		 * Before we lose the ptr, destroy the nvlist and pathnames
 		 * array from the warm start before this one.
 		 */
-		if (rfs4_dss_oldpaths)
-			nvlist_free(rfs4_dss_oldpaths);
+		nvlist_free(rfs4_dss_oldpaths);
 		rfs4_dss_oldpaths = rfs4_dss_paths;
 	}
 
@@ -1465,10 +1464,8 @@
 	rfs4_seen_first_compound = 0;
 
 	/* DSS: distributed stable storage */
-	if (rfs4_dss_oldpaths)
-		nvlist_free(rfs4_dss_oldpaths);
-	if (rfs4_dss_paths)
-		nvlist_free(rfs4_dss_paths);
+	nvlist_free(rfs4_dss_oldpaths);
+	nvlist_free(rfs4_dss_paths);
 	rfs4_dss_paths = rfs4_dss_oldpaths = NULL;
 }
 
--- old/usr/src/uts/common/fs/smbsrv/smb_kshare.c	2016-02-15 12:56:12.133742107 -0500
+++ new/usr/src/uts/common/fs/smbsrv/smb_kshare.c	2016-02-15 12:56:12.137603515 -0500
@@ -428,8 +428,7 @@
 	rc = 0;
 
 out:
-	if (shrlist != NULL)
-		nvlist_free(shrlist);
+	nvlist_free(shrlist);
 	smb_server_release(sv);
 	return (rc);
 }
@@ -490,8 +489,7 @@
 	rc = 0;
 
 out:
-	if (shrlist != NULL)
-		nvlist_free(shrlist);
+	nvlist_free(shrlist);
 	smb_server_release(sv);
 	return (rc);
 }
--- old/usr/src/uts/common/fs/zfs/spa.c	2016-02-15 12:56:12.276511289 -0500
+++ new/usr/src/uts/common/fs/zfs/spa.c	2016-02-15 12:56:12.280717592 -0500
@@ -6006,8 +6006,7 @@
 
 	spa_config_exit(spa, SCL_STATE, FTAG);
 
-	if (spa->spa_config_syncing)
-		nvlist_free(spa->spa_config_syncing);
+	nvlist_free(spa->spa_config_syncing);
 	spa->spa_config_syncing = config;
 
 	spa_sync_nvlist(spa, spa->spa_config_object, config, tx);
--- old/usr/src/uts/common/fs/zfs/spa_config.c	2016-02-15 12:56:12.526314883 -0500
+++ new/usr/src/uts/common/fs/zfs/spa_config.c	2016-02-15 12:56:12.530143719 -0500
@@ -344,8 +344,7 @@
 spa_config_set(spa_t *spa, nvlist_t *config)
 {
 	mutex_enter(&spa->spa_props_lock);
-	if (spa->spa_config != NULL)
-		nvlist_free(spa->spa_config);
+	nvlist_free(spa->spa_config);
 	spa->spa_config = config;
 	mutex_exit(&spa->spa_props_lock);
 }
--- old/usr/src/uts/common/fs/zfs/zfs_ioctl.c	2016-02-15 12:56:12.653959742 -0500
+++ new/usr/src/uts/common/fs/zfs/zfs_ioctl.c	2016-02-15 12:56:12.658121702 -0500
@@ -1558,8 +1558,7 @@
 
 	nvlist_free(config);
 
-	if (props)
-		nvlist_free(props);
+	nvlist_free(props);
 
 	return (error);
 }
--- old/usr/src/uts/common/io/comstar/lu/stmf_sbd/sbd.c	2016-02-15 12:56:12.897916080 -0500
+++ new/usr/src/uts/common/io/comstar/lu/stmf_sbd/sbd.c	2016-02-15 12:56:12.901802626 -0500
@@ -3639,8 +3639,7 @@
 		}
 	}
 out:
-	if (nv != NULL)
-		nvlist_free(nv);
+	nvlist_free(nv);
 	kmem_free((void *)(uintptr_t)zc->zc_nvlist_dst, size);
 	kmem_free(zc, sizeof (zfs_cmd_t));
 	(void) ldi_close(zfs_lh, FREAD|FWRITE, kcred);
--- old/usr/src/uts/common/io/comstar/port/iscsit/iscsit.c	2016-02-15 12:56:13.092318620 -0500
+++ new/usr/src/uts/common/io/comstar/port/iscsit/iscsit.c	2016-02-15 12:56:13.096227432 -0500
@@ -563,8 +563,7 @@
 			it_config_free_cmn(cfg);
 		if (cfg_pnvlist)
 			kmem_free(cfg_pnvlist, setcfg.set_cfg_pnvlist_len);
-		if (cfg_nvlist)
-			nvlist_free(cfg_nvlist);
+		nvlist_free(cfg_nvlist);
 
 		/*
 		 * Now that the reconfig is complete set our state back to
--- old/usr/src/uts/common/io/comstar/port/pppt/alua_ic_if.c	2016-02-15 12:56:13.282927281 -0500
+++ new/usr/src/uts/common/io/comstar/port/pppt/alua_ic_if.c	2016-02-15 12:56:13.287054812 -0500
@@ -355,8 +355,7 @@
 	status = stmf_ic_transmit(buf, size);
 
 done:
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	if (buf)
 		kmem_free(buf, size);
@@ -971,8 +970,7 @@
 		ASSERT(0);
 	}
 
-	if (msg->icm_nvlist)
-		nvlist_free(msg->icm_nvlist);
+	nvlist_free(msg->icm_nvlist);
 
 	kmem_free(msg, sizeof (*msg));
 }
@@ -1176,8 +1174,7 @@
 	if (!rc)
 		return (nvl);
 
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 
 	return (NULL);
 }
--- old/usr/src/uts/common/io/comstar/stmf/stmf.c	2016-02-15 12:56:13.446831103 -0500
+++ new/usr/src/uts/common/io/comstar/stmf/stmf.c	2016-02-15 12:56:13.450927879 -0500
@@ -2525,8 +2525,7 @@
 	}
 
 	/* Free any existing lists and add this one to the ppd */
-	if (ppd->ppd_nv)
-		nvlist_free(ppd->ppd_nv);
+	nvlist_free(ppd->ppd_nv);
 	ppd->ppd_nv = nv;
 
 	/* set the token for writes */
@@ -2598,8 +2597,7 @@
 		return;
 
 	*pppd = ppd->ppd_next;
-	if (ppd->ppd_nv)
-		nvlist_free(ppd->ppd_nv);
+	nvlist_free(ppd->ppd_nv);
 
 	kmem_free(ppd, ppd->ppd_alloc_size);
 }
--- old/usr/src/uts/common/io/devfm.c	2016-02-15 12:56:13.732779326 -0500
+++ new/usr/src/uts/common/io/devfm.c	2016-02-15 12:56:13.736943707 -0500
@@ -298,12 +298,10 @@
 
 	err = subr->func(cmd, invl, &onvl);
 
-	if (invl != NULL)
-		nvlist_free(invl);
+	nvlist_free(invl);
 
 	if (err != 0) {
-		if (onvl != NULL)
-			nvlist_free(onvl);
+		nvlist_free(onvl);
 		return (err);
 	}
 
@@ -425,8 +423,7 @@
 	int ret;
 
 	if ((ret = mod_remove(&modlinkage)) == 0) {
-		if (fm_vers_nvl != NULL)
-			nvlist_free(fm_vers_nvl);
+		nvlist_free(fm_vers_nvl);
 	}
 
 	return (ret);
--- old/usr/src/uts/common/ipp/ippctl.c	2016-02-15 12:56:13.856221692 -0500
+++ new/usr/src/uts/common/ipp/ippctl.c	2016-02-15 12:56:13.860319688 -0500
@@ -1243,8 +1243,7 @@
 	 */
 
 	if ((rc = ippctl_set_rc(ipp_rc)) != 0) {
-		if (nvlp != NULL)
-			nvlist_free(nvlp);
+		nvlist_free(nvlp);
 		return (rc);
 	}
 
--- old/usr/src/uts/common/os/contract.c	2016-02-15 12:56:14.008236166 -0500
+++ new/usr/src/uts/common/os/contract.c	2016-02-15 12:56:14.012134547 -0500
@@ -1837,10 +1837,8 @@
 	contract_rele(e->cte_contract);
 
 	mutex_destroy(&e->cte_lock);
-	if (e->cte_data)
-		nvlist_free(e->cte_data);
-	if (e->cte_gdata)
-		nvlist_free(e->cte_gdata);
+	nvlist_free(e->cte_data);
+	nvlist_free(e->cte_gdata);
 	kmem_free(e, sizeof (ct_kevent_t));
 }
 
--- old/usr/src/uts/common/os/damap.c	2016-02-15 12:56:14.179197506 -0500
+++ new/usr/src/uts/common/os/damap.c	2016-02-15 12:56:14.183154677 -0500
@@ -1110,12 +1110,10 @@
 	mutex_enter(&mapp->dam_lock);
 	bitset_del(&mapp->dam_active_set, addrid);
 	passp->da_ppriv = NULL;
-	if (passp->da_nvl)
-		nvlist_free(passp->da_nvl);
+	nvlist_free(passp->da_nvl);
 	passp->da_nvl = NULL;
 	passp->da_ppriv_rpt = NULL;
-	if (passp->da_nvl_rpt)
-		nvlist_free(passp->da_nvl_rpt);
+	nvlist_free(passp->da_nvl_rpt);
 	passp->da_nvl_rpt = NULL;
 
 	DTRACE_PROBE3(damap__addr__deactivate__end,
@@ -1658,8 +1656,7 @@
 		mutex_enter(&mapp->dam_lock);
 	}
 	passp->da_ppriv_rpt = NULL;
-	if (passp->da_nvl_rpt)
-		nvlist_free(passp->da_nvl_rpt);
+	nvlist_free(passp->da_nvl_rpt);
 }
 
 /*
--- old/usr/src/uts/common/os/devid_cache.c	2016-02-15 12:56:14.331391287 -0500
+++ new/usr/src/uts/common/os/devid_cache.c	2016-02-15 12:56:14.335264033 -0500
@@ -343,8 +343,7 @@
 	return (DDI_SUCCESS);
 
 err:
-	if (sub_nvl)
-		nvlist_free(sub_nvl);
+	nvlist_free(sub_nvl);
 	nvlist_free(nvl);
 	*ret_nvl = NULL;
 	return (DDI_FAILURE);
--- old/usr/src/uts/common/os/evchannels.c	2016-02-15 12:56:14.471087660 -0500
+++ new/usr/src/uts/common/os/evchannels.c	2016-02-15 12:56:14.475160967 -0500
@@ -1164,8 +1164,7 @@
 		mutex_exit(&chp->ch_mutex);
 		evch_dl_del(&eg->evch_list, &chp->ch_link);
 		evch_evq_destroy(chp->ch_queue);
-		if (chp->ch_propnvl)
-			nvlist_free(chp->ch_propnvl);
+		nvlist_free(chp->ch_propnvl);
 		mutex_destroy(&chp->ch_mutex);
 		mutex_destroy(&chp->ch_pubmx);
 		cv_destroy(&chp->ch_pubcv);
@@ -1572,8 +1571,7 @@
 
 	mutex_enter(&chp->ch_mutex);
 
-	if (chp->ch_propnvl)
-		nvlist_free(chp->ch_propnvl);
+	nvlist_free(chp->ch_propnvl);
 
 	chp->ch_propnvl = nvl;
 	chp->ch_propnvlgen++;
--- old/usr/src/uts/common/os/retire_store.c	2016-02-15 12:56:14.635576757 -0500
+++ new/usr/src/uts/common/os/retire_store.c	2016-02-15 12:56:14.639225985 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/ddi.h>
 #include <sys/sunddi.h>
 #include <sys/sunndi.h>
@@ -310,8 +308,7 @@
 	return (DDI_SUCCESS);
 
 error:
-	if (line_nvl)
-		nvlist_free(line_nvl);
+	nvlist_free(line_nvl);
 	ASSERT(nvl);
 	nvlist_free(nvl);
 	return (DDI_FAILURE);
--- old/usr/src/uts/common/os/sunmdi.c	2016-02-15 12:56:14.763226653 -0500
+++ new/usr/src/uts/common/os/sunmdi.c	2016-02-15 12:56:14.771429826 -0500
@@ -8029,8 +8029,7 @@
 
 	rw_exit(&vhcache->vhcache_lock);
 out:
-	if (nvl)
-		nvlist_free(nvl);
+	nvlist_free(nvl);
 	return (NULL);
 }
 
--- old/usr/src/uts/common/os/sunndi.c	2016-02-15 12:56:15.091948744 -0500
+++ new/usr/src/uts/common/os/sunndi.c	2016-02-15 12:56:15.095990871 -0500
@@ -420,8 +420,7 @@
 	if (dcp->c_unitaddr != NULL)
 		kmem_free(dcp->c_unitaddr, MAXNAMELEN);
 
-	if (dcp->nvl_user != NULL)
-		nvlist_free(dcp->nvl_user);
+	nvlist_free(dcp->nvl_user);
 
 	kmem_free(dcp, sizeof (*dcp));
 }
--- old/usr/src/uts/common/os/zone.c	2016-02-15 12:56:15.261892409 -0500
+++ new/usr/src/uts/common/os/zone.c	2016-02-15 12:56:15.266100379 -0500
@@ -4401,8 +4401,7 @@
 	 */
 	if (curthread != pp->p_agenttp && !holdlwps(SHOLDFORK)) {
 		zone_free(zone);
-		if (rctls)
-			nvlist_free(rctls);
+		nvlist_free(rctls);
 		return (zone_create_error(error, 0, extended_error));
 	}
 
@@ -4412,8 +4411,7 @@
 			continuelwps(pp);
 		mutex_exit(&pp->p_lock);
 		zone_free(zone);
-		if (rctls)
-			nvlist_free(rctls);
+		nvlist_free(rctls);
 		return (zone_create_error(error, 0, extended_error));
 	}
 
@@ -4558,8 +4556,7 @@
 	 * The zone is fully visible, so we can let mounts progress.
 	 */
 	resume_mounts(zone);
-	if (rctls)
-		nvlist_free(rctls);
+	nvlist_free(rctls);
 
 	return (zoneid);
 
@@ -4574,8 +4571,7 @@
 	mutex_exit(&pp->p_lock);
 
 	resume_mounts(zone);
-	if (rctls)
-		nvlist_free(rctls);
+	nvlist_free(rctls);
 	/*
 	 * There is currently one reference to the zone, a cred_ref from
 	 * zone_kcred.  To free the zone, we call crfree, which will call
@@ -6875,8 +6871,7 @@
 		err = ENXIO;
 	} else {
 		list_remove(&zone->zone_dl_list, zdl);
-		if (zdl->zdl_net != NULL)
-			nvlist_free(zdl->zdl_net);
+		nvlist_free(zdl->zdl_net);
 		kmem_free(zdl, sizeof (zone_dl_t));
 	}
 	mutex_exit(&zone->zone_lock);
--- old/usr/src/uts/common/xen/os/xvdi.c	2016-02-15 12:56:15.526343180 -0500
+++ new/usr/src/uts/common/xen/os/xvdi.c	2016-02-15 12:56:15.530268819 -0500
@@ -1744,8 +1744,7 @@
 	}
 
 failure:
-	if (attr_list != NULL)
-		nvlist_free(attr_list);
+	nvlist_free(attr_list);
 
 	return (err);
 }
--- old/usr/src/uts/intel/io/intel_nb5000/intel_nbdrv.c	2016-02-15 12:56:15.687876081 -0500
+++ new/usr/src/uts/intel/io/intel_nb5000/intel_nbdrv.c	2016-02-15 12:56:15.691696518 -0500
@@ -313,8 +313,7 @@
 		    (uint8_t)nb_number_memory_controllers);
 	inb_dimmlist(nvl);
 
-	if (inb_mc_nvl)
-		nvlist_free(inb_mc_nvl);
+	nvlist_free(inb_mc_nvl);
 	inb_mc_nvl = nvl;
 }
 
--- old/usr/src/uts/intel/io/intel_nhm/dimm_topo.c	2016-02-15 12:56:15.814577677 -0500
+++ new/usr/src/uts/intel/io/intel_nhm/dimm_topo.c	2016-02-15 12:56:15.821110176 -0500
@@ -262,7 +262,6 @@
 	(void) nvlist_add_uint8(nvl, MCINTEL_NVLIST_NRANKS, 4);
 	inhm_dimmlist(chip, nvl);
 
-	if (inhm_mc_nvl[chip])
-		nvlist_free(inhm_mc_nvl[chip]);
+	nvlist_free(inhm_mc_nvl[chip]);
 	inhm_mc_nvl[chip] = nvl;
 }
--- old/usr/src/uts/intel/io/pci/pci_boot.c	2016-02-15 12:56:16.015835208 -0500
+++ new/usr/src/uts/intel/io/pci/pci_boot.c	2016-02-15 12:56:16.026210835 -0500
@@ -366,8 +366,7 @@
 	return (DDI_SUCCESS);
 
 error:
-	if (sub_nvl)
-		nvlist_free(sub_nvl);
+	nvlist_free(sub_nvl);
 	ASSERT(nvl);
 	nvlist_free(nvl);
 	*ret_nvl = NULL;
